"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var context_1 = require("../context");
var DefaultLoadingRenderer_1 = require("./DefaultLoadingRenderer");
var DefaultErrorRenderer_1 = require("./DefaultErrorRenderer");
// prevent this code loading in production
var ErrorToastNotifications;
if (process.env.NODE_ENV !== 'production') {
    ErrorToastNotifications = require('./ErrorToastNotifications').default;
}
function BicycleProvider(_a) {
    var children = _a.children, client = _a.client, _b = _a.disableErrorReporter, disableErrorReporter = _b === void 0 ? false : _b, _c = _a.renderLoading, renderLoading = _c === void 0 ? DefaultLoadingRenderer_1.default : _c, _d = _a.renderErrors, renderErrors = _d === void 0 ? DefaultErrorRenderer_1.default : _d;
    return (React.createElement(context_1.ContextProvider, { value: { client: client, renderLoading: renderLoading, renderErrors: renderErrors } }, process.env.NODE_ENV !== 'production' && !disableErrorReporter ? (React.createElement(ErrorToastNotifications, null, children)) : (children)));
}
exports.default = BicycleProvider;
//# sourceMappingURL=BicycleProvider.js.map