"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var context = React.createContext(undefined);
exports.ContextProvider = context.Provider;
exports.BicycleConsumer = context.Consumer;
function useContext() {
    var ctx = React.useContext(context);
    if (!ctx) {
        throw new Error('No BicycleProvider rendered. Make sure you render the BicycleProvider as a parent of this component.');
    }
    return ctx;
}
exports.useContext = useContext;
//# sourceMappingURL=context.js.map