import * as React from 'react';
import BicycleClient from 'bicycle/client';
import Component from './component-class';
import { LoadingResponse, ErrorResponse } from './useQuery';
export interface Context {
    client: BicycleClient;
    renderLoading: Component<LoadingResponse<any>>;
    renderErrors: Component<ErrorResponse<any>>;
}
export declare const ContextProvider: React.ProviderExoticComponent<React.ProviderProps<Context | undefined>>;
export declare const BicycleConsumer: React.ExoticComponent<React.ConsumerProps<Context | undefined>>;
export declare function useContext(): Context;
